package com.isu.gaswellwatch.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.isu.gaswellwatch.entity.User;
import com.isu.gaswellwatch.vo.UserVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;



@Mapper
@Repository
public interface UserDao extends BaseMapper<User> {
    Page<UserVO> page(Page<Object> page,
                       @Param("username") String username,
                       @Param("name") String name,
                       @Param("ids") List<Long> ids,
                       @Param("isEnable") String isEnable
                       );

    List<UserVO> list(@Param("username") String username,
                      @Param("name") String name,
                      @Param("roleId") Long roleId,
                      @Param("isEnable") String isEnable
    );

    UserVO selectUserInfo(@Param("username") String username);
}

