package com.isu.gaswellwatch.modbus.data.impl;

import com.isu.gaswellwatch.modbus.data.PersistenceHandler;
import jakarta.annotation.Resource;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author <a href="mailto:shilong.wang@alpha-ess.com">王仕龙</a>
 * 2024/11/23 11:55
 */
@Component
public class Redis2DBPersistenceHandlerImpl implements PersistenceHandler {

    @Resource
    private JdbcTemplate jdbcTemplate;

    @Resource(name = "redisTemplate")
    private RedisTemplate redisTemplate;

    @Scheduled(cron = "0/10 * * * * ? ")
    public void write() {
        this.redisTemplate.getClientList();
    }

}
