package com.isu.gaswellwatch.dto;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.io.Serial;
import java.time.LocalDateTime;

/**
 * 修改气井对象 gas_wells
 *
 * @author scwsl
 * @date 2024-11-17
 */
@Getter
@Setter
@SuperBuilder
@NoArgsConstructor
public class GasWellEditRequest implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

            /** 主键 */
        private Long id;

            /** 关联公司 */
        private Long companyId;

            /** 气井名称 */
        private String name;

            /** 描述 */
        private String details;

}
