package com.isu.gaswellwatch.vo;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LoginRecordExportVO {


    /**
     * 用户名
     */
    @ExcelProperty("账号")
    private String username;
    /**
     * 用户姓名
     */
    @ExcelProperty("使用者")
    private String nickname;



    /**
     * 请求结果
     */
    @ExcelIgnore
    private Integer result;
    /**
     * 请求结果
     */
    @ExcelProperty("调用结果")
    private String resultDesc;

    /**
     * 登录ip
     */
    @ExcelProperty("调用ip")
    private String ip;


    /**
     * 错误消息
     */
    @ExcelProperty("错误信息")
    private String errorMsg;

    /**
     * 创建时间
     */
    @ExcelProperty("操作时间")
    private String createTime;




}
